package com.isu.gaswellwatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.isu.gaswellwatch.dto.DeviceCreateDTO;
import com.isu.gaswellwatch.dto.DeviceEditDTO;
import com.isu.gaswellwatch.entity.Device;
import com.isu.gaswellwatch.entity.DeviceOptLog;
import com.isu.gaswellwatch.vo.DeviceHistoryVO;
import com.isu.gaswellwatch.vo.DeviceVO;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface DeviceService extends IService<Device> {

    Page<DeviceVO> page(Integer currentPage, Integer pageSize, String gasWellName, String gasStationName, Long deviceTypeId);

    void add(DeviceCreateDTO deviceCreateDTO);

    void edit(DeviceEditDTO deviceEditDTO);

    void delete(Long id);

    DeviceVO getDevice(Long id);

    Map<String,String> getDeviceControlData(Long deviceId);

    Page<DeviceHistoryVO> getDeviceHistoryData(Integer currentPage, Integer pageSize, String startTime, String endTime, Long deviceId) throws ParseException;

    Page<DeviceOptLog> getDeviceLogData(Integer currentPage, Integer pageSize, String startTime, String endTime, Long deviceId) throws ParseException;

    List<DeviceVO> getDeviceVOByIds(List<Long> deviceIdList);
}

